program henon1
        !とりあえず一つの初期値からの発展を記述するものをつくる
      integer :: n,i
      real :: x0,y0,x1,y1,x2,y2,a, s,m
      intrinsic :: sin,cos
      x0=0.0; y0=0.0                 !初期座標 (未定)
      x1=x0; y1=y0
      s=""
      a=0.8                          !パラメタ
      n=1000; m=5
    do= i=1,m
      open(9,file="69henon.data")
      write(9,*) x1,y1
      do i=1,n
        x2=x1*cos(a)-(y1-x1**2)*sin(a)
        y2=x1*sin(a)+(y1-x1**2)*cos(a)
        write(s,*) x2,y2
        x1=x2
        y1=y2
      end do
      endfile(9)
    s=s+1
    x1=x0+0.1
    y1=y0+0.1
    end do
end program henon1
